Subject: Re: [RFC PATCH] dont create cached routes from ARP requests

From: Ulrich Weber <[email-masked]>
Date: Mon, 27 Sep 2010 15:11:47 +0200

Hi Eric,

thanks for the correction! Searched through the log files and discovered
that the initial "Neighbor overflow" message was caused by an IPv6 ping
scan from the Internet.

rt_garbage_collect() is called from dst_alloc and rt_intern_hash. In any
case no routes will be freed if the total entries are smaller than
ipv4.route.gc_thresh.

neigh.default.gc_thresh is static while ipv4.route.gc_thresh is based on
system memory. Wouldn't it make sense to set neigh.default.gc_thresh
based on system memory too?

Cheers
 Ulrich

-- 
Ulrich Weber | [email-masked] | Software Engineer
Astaro GmbH & Co. KG | www.astaro.com | Phone +49-721-25516-0 | Fax –200
An der RaumFabrik 33a | 76227 Karlsruhe | Germany